Loading...
Searching...
No Matches
dhcp.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/arch.h"`
`#include "lwip/prot/ip4.h"`
`#include "arch/bpstruct.h"`
`#include "arch/epstruct.h"`

## Data Structures

struct | dhcp_msg

## Macros

#define | DHCP_OPTIONS_LEN DHCP_MIN_OPTIONS_LEN

## Detailed Description

DHCP protocol definitions

## Macro Definition Documentation

## DHCP_OPTIONS_LEN

#define DHCP_OPTIONS_LEN DHCP_MIN_OPTIONS_LEN

make sure user does not configure this too small allow this to be configured in lwipopts.h, but not too small set this to be sufficient for your options in outgoing DHCP msgs